package com.huigou.topsun.sap.suppliers.domain;

import com.alibaba.fastjson.annotation.JSONField;
import com.huigou.data.domain.model.FlowBillAbstractEntity;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.*;
import java.sql.Timestamp;
import java.util.Date;
import java.util.List;

/**
 * 供应商主数据
  */
@Table(name="sap_suppliers_info")
@Data
@Entity
public class SuppliersInfo extends FlowBillAbstractEntity {

    /**
     * 屏幕用途的bp角色
     */
    @Column(name = "rltgr")
    @JSONField(name = "RLTGR")
    private String rltgr;

    /**
     * 业务伙伴分组
     */
    @Column(name = "bu_group")
    @JSONField(name = "BU_GROUP")
    private String buGroup;

    /**
     * 业务伙伴编号
     */
    @Column(name = "partner")
    @JSONField(name = "PARTNER")
    private String partner;

    /**
     * 称谓代码
     */
    @Column(name = "title")
    @JSONField(name = "TITLE")
    private String title;

    /**
     * 组织名称 1
     */
    @Column(name = "name_org1")
    @JSONField(name = "NAME_ORG1")
    private String nameOrg1;

    /**
     * 组织名称 2
     */
    @Column(name = "name_org2")
    @JSONField(name = "NAME_ORG2")
    private String nameOrg2;

    /**
     * 组织名称 3
     */
    @Column(name = "name_org3")
    @JSONField(name = "NAME_ORG3")
    private String nameOrg3;


    /**
     * 组织名称 4
     */
    @Column(name = "name_org4")
    @JSONField(name = "NAME_ORG4")
    private String nameOrg4;

    /**
     * 业务伙伴的搜索词1
     */
    @Column(name = "bu_sort1")
    @JSONField(name = "BU_SORT1")
    private String buSort1;

    /**
     * 业务伙伴的搜索词2
     */
    @Column(name = "bu_sort2")
    @JSONField(name = "BU_SORT2")
    private String buSort2;


    /**
     * 街道
     */
    @Column(name = "street")
    @JSONField(name = "STREET")
    private String street;

    /**
     * 街道2
     */
    @Column(name = "str_suppl1")
    @JSONField(name = "STR_SUPPL1")
    private String strSuppl1;

    /**
     * 街道3
     */
    @Column(name = "str_suppl2")
    @JSONField(name = "STR_SUPPL2")
    private String strSuppl2;

    /**
     * 街道4
     */
    @Column(name = "str_suppl3")
    @JSONField(name = "STR_SUPPL3")
    private String strSuppl3;

    /**
     * 国家/地区代码
     */
    @Column(name = "land1")
    @JSONField(name = "LAND1")
    private String land1;

    /**
     * 国家/地区代码
     */
    @Column(name = "region")
    @JSONField(name = "REGION")
    private String region;

    /**
     * 语言关键字
     */
    @Column(name = "langu")
    @JSONField(name = "LANGU")
    private String langu;

    /**
     * 语言关键字
     */
    @Column(name = "city1")
    @JSONField(name = "CITY1")
    private String city1;

    /**
     * 城市邮政编码
     */
    @Column(name = "post_code1")
    @JSONField(name = "POST_CODE1")
    private String postCode1;

    /**
     * 第一个电话号码
     */
    @Column(name = "tel_number")
    @JSONField(name = "TEL_NUMBER")
    private String telNumber;

    /**
     * 一个电话号码:分机号
     */
    @Column(name = "tel_extens")
    @JSONField(name = "TEL_EXTENS")
    private String telExtens;

    /**
     * 第一个移动电话号码
     */
    @Column(name = "mob_number")
    @JSONField(name = "MOB_NUMBER")
    private String mobNumber;

    /**
     * 第一个移动电话号码:分机
     */
    @Column(name = "mob_extens")
    @JSONField(name = "MOB_EXTENS")
    private String mobExtens;

    /**
     * 第一个传真号
     */
    @Column(name = "fax_number")
    @JSONField(name = "FAX_NUMBER")
    private String faxNumber;

    /**
     * 第一个传真号：分机号
     */
    @Column(name = "fax_extens")
    @JSONField(name = "FAX_EXTENS")
    private String faxExtens;

    /**
     * 电子邮件地址
     */
    @Column(name = "smtp_addr")
    @JSONField(name = "SMTP_ADDR")
    private String smtpAddr;

    /**
     * 供应商帐户组
     */
    @Column(name = "ktokk")
    @JSONField(name = "KTOKK")
    private String ktokk;

    /**
     * 集中设置的采购冻结
     */
    @Column(name = "sperm")
    @JSONField(name = "SPERM")
    private String sperm;

    /**
     * 中心记帐冻结
     */
    @Column(name = "sperr")
    @JSONField(name = "SPERR")
    private String sperr;

    /**
     * 贸易合作伙伴的公司标识
     */
    @Column(name = "vbund")
    @JSONField(name = "VBUND")
    private String vbund;

    /**
     * 客户编号
     */
    @Column(name = "kunnr")
    @JSONField(name = "KUNNR")
    private String kunnr;

    /**
     * 责任税务部门的税收编号
     */
    @Column(name = "stenr")
    @JSONField(name = "STENR")
    private String stenr;

    /**
     * 更新标识 I、U、D
     */
    @Column(name = "updkz")
    @JSONField(name = "UPDKZ")
    private String updkz;

    @Column(name = "apply_type")
    private String applyType;

//    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
//    @Column(name = "fillin_date")
//    @Temporal(TemporalType.TIMESTAMP)
//    private Date fillinDate;

    @Transient
    private String sId;

    @Override
    protected String getCodeRuleId() {
        return "sapSuppliersInfo";
    }

//    @Transient
//   private List<SuppliersPay>  suppliersPayList;
//
//    @Transient
//    private List<SuppliersBuyer>  suppliersBuyerList;
//
//   @Transient
//    private List<SuppliersBank>  suppliersBankList;
}